The process does not possess the 'SeSecurityPrivilege' privilege which is required for this operation

We tried to deploy a project which use ECS template, however we got the following error

The process does not possess the ‘SeSecurityPrivilege’ privilege which is required for this operation

Something went wrong while securing \amznfsxozbptfu9.drl.local\share\Staging\Octopus\OctopusServer\Tools\Calamari.win-x64\18.1.4: The process does not possess the ‘SeSecurityPrivilege’ privilege which is required for this operation.
September 24th 2021 10:20:55Warning
The installed tool should work fine, but the path \amznfsxozbptfu9.drl.local\share\Staging\Octopus\OctopusServer\Tools\Calamari.win-x64\18.1.4 may allow unwanted write access.

Appreciate if anyone help to resolve the above ‘SeSecurityPrivilege’ issue

Hi @Arun.Chinnadurai,

Thanks for getting in touch!

A recent security change has made it so that the service user that is running the tentacle (or Octopus service if running on the server) ideally requires the SeSecurityPrivilege but not having this should only output the warning that you’re seeing and continue as normal.

Is this causing the deployment to fail for you or is it just flagging up as a warning?

Regards,
Paul